Create Email Draft
curl --request POST \
--url https://api.example.com/email-drafts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>",
"member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attachments": [
{
"type": "<string>",
"id": "<string>",
"format": "pdf"
}
],
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/email-drafts/"
payload = {
"subject": "<string>",
"body": "<string>",
"member_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"attachments": [
{
"type": "<string>",
"id": "<string>",
"format": "pdf"
}
],
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
body: JSON.stringify('<string>'),
member_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
attachments: [{type: '<string>', id: '<string>', format: 'pdf'}],
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
job_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/email-drafts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attachments": [
{
"type": "<string>",
"id": "<string>",
"format": "pdf"
}
],
"content_check_passed": true,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}email-drafts
Create Email Draft
POST
/
email-drafts
/
Create Email Draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json